[@bigcommerce/checkout-sdk](../README.md) / CardPaymentMethodState

# Interface: CardPaymentMethodState

## Hierarchy

- [`AdyenPaymentMethodState`](AdyenPaymentMethodState.md)

  ↳ **`CardPaymentMethodState`**

## Table of contents

### Properties

- [encryptedCardNumber](CardPaymentMethodState.md#encryptedcardnumber)
- [encryptedExpiryMonth](CardPaymentMethodState.md#encryptedexpirymonth)
- [encryptedExpiryYear](CardPaymentMethodState.md#encryptedexpiryyear)
- [encryptedSecurityCode](CardPaymentMethodState.md#encryptedsecuritycode)
- [holderName](CardPaymentMethodState.md#holdername)
- [type](CardPaymentMethodState.md#type)

## Properties

### encryptedCardNumber

• **encryptedCardNumber**: `string`

___

### encryptedExpiryMonth

• **encryptedExpiryMonth**: `string`

___

### encryptedExpiryYear

• **encryptedExpiryYear**: `string`

___

### encryptedSecurityCode

• **encryptedSecurityCode**: `string`

___

### holderName

• **holderName**: `string`

___

### type

• **type**: `string`

#### Inherited from

[AdyenPaymentMethodState](AdyenPaymentMethodState.md).[type](AdyenPaymentMethodState.md#type)
